### Signal

# Panel Dock::panel-drag-begin

since: 1

#### Declaration

    void
    panel_drag_begin (
      PanelDock* self,
      PanelWidget* panel,
      gpointer user_data
    )

#### Description [src]

This signal is emitted when dragging of a panel begins.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 1

#### Parameters

`panel`

  Type: `PanelWidget`

  A `PanelWidget`.

  The data is owned by the caller of the function.